%% Script Description
% 

%%
clear;
close all;
clc

%% Define options for bode plots
bode_opts = bodeoptions;

bode_opts.Title.FontSize  = 12;
bode_opts.XLabel.FontSize = 12;
bode_opts.YLabel.FontSize = 12;
bode_opts.FreqUnits       = 'Hz';
bode_opts.MagUnits        = 'abs';
bode_opts.MagScale        = 'log';
bode_opts.PhaseWrapping   = 'on';
bode_opts.PhaseVisible    = 'off';

%% Load Data
load('./data/identified_tf.mat');

%% Y-Translation Stage
figure;
bode(G_ty, bode_opts)

%% Tilt Stage
figure;
bode(G_ry, bode_opts)

%% Spindle
figure;
bode(G_rz, bode_opts)

%% Hexapod Symetrie
figure;
bode(G_hexa, bode_opts)

%% NASS
figure;
bode(G_nass(1:3, 1:3), bode_opts)
